import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (c, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, i) : t, o = c.length - 1, l; o >= 0; o--)
    (l = c[o]) && (e = (r ? l(t, i, e) : l(e)) || e);
  return r && e && m(t, i, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--bike", this.class = "c-pieIcon c-pieIcon--bike", this.name = "IconBike";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--bike"><path d="M12.139 7.405 11 4.158a.218.218 0 0 1 0-.157.246.246 0 0 1 .158-.123l1.216-.446v-1.4l-1.627.613a1.514 1.514 0 0 0-.998 1.933l.359 1.015H9.75a2.433 2.433 0 0 0-1.925.963l-1.207 1.61-1.06-2.135h.692V4.718h-3.5v1.313H4.09l.726 1.461a2.87 2.87 0 0 0-.735-.105 2.826 2.826 0 1 0 2.826 2.818v-.201l1.97-2.66a1.111 1.111 0 0 1 .874-.438h.831l.254.717a2.844 2.844 0 1 0 1.313-.218h-.01ZM4.08 11.719a1.514 1.514 0 1 1 1.514-1.514 1.505 1.505 0 0 1-1.514 1.514Zm7.875 0a1.514 1.514 0 1 1 1.401-.934 1.505 1.505 0 0 1-1.4.934Z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  f("icon-bike")
], s);
export {
  s as IconBike
};
